<?php
require '../configuacoes.php';
require '../conexao/conexao.php';
//die(var_dump($_POST));
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $valor_percentual = $_POST['percentual'];
    $valor_percentual = number_format($valor_percentual, 2, '.', '');
    $id_percentual = $_POST['id_percentual'];
    // Sanitiza e valida os dados recebidos
    $id_percentual = is_numeric($id_percentual) ? (int)$id_percentual : null;
//
//die($valor_percentual);
    if (empty($valor_percentual)) {
        header("Location: index.php?status=erro&mensagem=O valor é obrigatório");
        exit;
    }

    try {
        if (is_null($id_percentual) || $id_percentual == 0) {
            // Inserção
            $stmt = $connectionmysql->prepare("INSERT INTO percentual (valor_percentual) VALUES (?)");
            $stmt->bind_param("i", $valor_percentual);
        } else {
            // Atualização
            $stmt = $connectionmysql->prepare("UPDATE percentual SET valor_percentual = ? WHERE id_percentual = ?");
            $stmt->bind_param("i", $valor_percentual, $id_percentual);
        }

        $stmt->execute();
        $connectionmysql->commit();
        header("Location: index.php?status=sucesso");
        exit;
    } catch (Exception $e) {
        $connectionmysql->rollback();
        echo "Erro: " . $e->getMessage();
    } finally {
        $stmt->close();
        $connectionmysql->close();
    }
}
